# StringPool Class Reference

`#include <StringPool.hpp>`

List of all members.

## Public Member Functions

| StringPool (xercesc::MemoryManager *mm)
| ~StringPool ()
const XMLCh * | getPooledString (const XMLCh *src)
| Returns a copy of the given string.
const XMLCh * | getPooledString (const char *src)
| Returns a copy of the transcoding of the given string.
unsigned int | getCount () const
unsigned int | getHits () const
unsigned int | getMisses () const
unsigned int | getTooBig () const
void | dumpStatistics () const

## Classes

class | Bucket

## Constructor & Destructor Documentation

StringPool::StringPool | ( | xercesc::MemoryManager * | mm | ) |

StringPool::~StringPool | ( |  | ) |

## Member Function Documentation

void StringPool::dumpStatistics | ( |  | ) | const

unsigned int StringPool::getCount | ( |  | ) | const`[inline]`

unsigned int StringPool::getHits | ( |  | ) | const`[inline]`

unsigned int StringPool::getMisses | ( |  | ) | const`[inline]`

const XMLCh* StringPool::getPooledString | ( | const char * | src | ) |

| Returns a copy of the transcoding of the given string.

const XMLCh* StringPool::getPooledString | ( | const XMLCh * | src | ) |

| Returns a copy of the given string.

unsigned int StringPool::getTooBig | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- StringPool.hpp